@charset "utf-8";

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    -webkit-tap-highlight-color: transparent;
    scrollbar-width: thin;
    letter-spacing: 0.1rem;
}

::-webkit-scrollbar {
	width:8px;
	height:8px
}
::-webkit-scrollbar-thumb {
    border-radius:10px;
    border: 2px solid transparent;
    background-clip: padding-box;
	background-color: var(--theme-60);
    background-image: -webkit-linear-gradient(45deg,hsla(0,0%,100%,.4) 25%,transparent 0,transparent 50%,hsla(0,0%,100%,.4) 0,hsla(0,0%,100%,.4) 75%,transparent 0,transparent);
}
::-webkit-scrollbar-thumb:hover{
    background-color: var(--theme);
}
::-webkit-scrollbar-track {
	box-shadow:inset 0 0 5px rgba(0,0,0,0.2);
	border-radius:10px;
	background-color:rgba(73,177,245,.2);
	display:none;
}
::-webkit-scrollbar-track-piece {
	display:none;
}
::-moz-selection {
	color:#fff;
	background:var(--theme-60);
}
::selection {
	color:#fff;
	background:var(--theme-60);
}
html {
	/* 默认颜色 */
	font-size:16px;
	/* --theme在head.php */
	--main-color: 52 73 94;
	--main: rgb(var(--main-color));
    --C: rgb(var(--main-color) / 70%);
    --B: rgb(var(--main-color) / 40%);
    --A: rgb(var(--main-color) / 20%);
    --O: rgb(var(--main-color) / 5%);
    --under-background: #f7f7f7e6;
    --background: #fff;
    --box-shadow: 0px 7px 15px 0px #a48fff30;
    
	/* 默认样式 */
	--radius: 1rem;
	--margin: 2rem;
}


body {
    font-family: user,-apple-system,BlinkMacSystemFont,PingFang SC,Helvetica Neue,Microsoft YaHei,Source Han Sans SC,Noto Sans CJK SC,sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    overflow-x:hidden;
    background: var(--under-background);
}
html, body {
  scroll-behavior: smooth;
}
a {
    text-decoration: none;
    color: var(--main);
    -webkit-transition: 0.2s;
    transition: 0.2s;
}
a:hover {
    color: var(--theme);
}
li {
    list-style: none;
}
input, textarea, select{
    font-family: monospace,emoji;
    list-style: none;
    font-size: 0.9rem;
    border-radius: 0.5rem;
    border: unset;
    padding: 0.5rem;
    height: auto;
    line-height: 1.5rem;
    background:var(--O);
    color: var(--main);
    width: 100%;
}
input::placeholder,
textarea::placeholder,
select::placeholder {
    color: var(--B);
}
svg {
    width: 1rem;
    height: auto;
}
.cat_article_download svg,
.title_block_title svg,
.cat_menu  svg,
.editor_anniu svg {
    fill: var(--C);
}
img{
    -webkit-transition: 0.5s;
    transition: 0.5s;
}
img.lazyloading {
    -webkit-filter: blur(2rem);
    filter: blur(2rem);
    opacity: 0;
}
img.lazyloaded {
    filter: blur(0);
    -webkit-filter: blur(0);
    opacity: 1;
}
.send_anniu_style {
    cursor: pointer;
    color: var(--main);
    background: var(--O);
    border-radius: 0.5rem;
    padding: 0.5rem 0.75rem;
    width: 100%;
    text-align: center;
    -webkit-transition: 0.5s;
    transition: 0.5s;
    font-family: monospace;
    font-size: 0.9rem;
}
.send_anniu_style:hover {
    color: #fff;
    background: var(--theme-60);
}
.menu_off,
.mobile_menu{
    display: none;
}
.avatar {
    width: 4rem;
    height: 4rem;
    vertical-align: middle;
    border-radius: 50%;
    box-shadow: var(--box-shadow);
    border: 0.1rem solid #fff;
    /*background: var(--background);*/
    -o-object-fit: cover;
    object-fit: cover;
}

.main_screen{
    position: relative;
    margin: var(--margin) auto;
    width: calc(100vw - 2 * var(--margin) auto);
    max-width: 1200px;
    min-height: calc(100vh - 2 * var(--margin));
}
.main{
    display: flex;
    width: 100%;
    margin: 0 auto;
}
.main_body{
    flex: 1;
    width: calc(100% - 20rem - var(--margin));
}
.main_sidebar{
    width: 20rem;
    margin-left: var(--margin);
    display: flex;
    flex-direction: column;
    visibility: visible;
    opacity: 1;
    -webkit-transition: 0.5s;
    transition: 0.5s;
}
.cat_block {
    padding: var(--margin);
    color: var(--main);
    background: var(--background);
    border-radius: var(--radius);
    /*box-shadow: var(--box-shadow);*/
    margin-bottom: var(--margin);
    -webkit-transition: 0.2s;
    transition: 0.2s;
}
.title_block {
    position: relative;
    padding-left: calc(1.5 * var(--margin));
}
.title_block_title {
    gap: 0.5rem;
    display: flex;
    align-items: baseline;
}
.title_block_title h1{
    font-size: 1.25rem;
    line-height: 2.25rem;
}


/* 分页 */
.cat_pagination_page{
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: var(--margin);
    gap: 0.5rem;
}
.cat_pagination_page li.active a {
    background: var(--theme);
    color: #fff;
    font-weight: 500;
}
.cat_pagination_page a{
    display: flex;
    padding: 0.5rem;
    font-size: 0.9rem;
    width: 1.75rem;
    height: 1.75rem;
    background: var(--background);
    border-radius: 50%;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    transition: 0.2s;
    -webkit-transition: 0.2s;
    justify-content: center;
    align-items: center;
    letter-spacing: 0;
}
.cat_pagination_page span.next{
    cursor: pointer;
}
.cat_pagination_page li.active a:hover{
    cursor: not-allowed;
}




.cat_top {
    z-index: 9;
    display: flex;
    gap: var(--margin);
    flex-direction: row;
    align-items: center;
    margin-bottom: var(--margin);
    height: 35rem;
    justify-content: space-evenly;
    border-radius: var(--radius);
}
.cat_top .item{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}
.cat_top .item .avatar{
    width: 10rem;
    height: 10rem;
    border: 0.2rem solid #fff;
}
.cat_top .item .name{
    padding: 0.3rem 0;
    border-radius: 5rem;
    background: #7d7d7dd6;
    border: 1px solid #ffffffd1;
    font-weight: 400;
    font-size: 1.3rem;
    color: #fff;
    width: 10rem;
    text-align: center;
}
.cat_top .middle{
    display: flex;
    justify-content: center;
    width: 7rem;
    height: 7rem;
    animation-name: heartbeat;
    animation-duration: 1s;
    animation-timing-function: ease-in-out;
    animation-iteration-count: infinite;
}

.cat_back_home {
    display: none;
}
@media screen and (max-width: 1400px) {
    .cat_top {
        height: 25rem;
    }
    .cat_top .item .avatar{
        width: 7rem;
        height: 7rem;
    }
    .cat_top .item .name{
        padding: 0.3rem 0;
        border-radius: 2rem;
        font-size: 1.1rem;
        width: 7rem;
    }
    .cat_top .middle{
        width: 4rem;
        height: 4rem;
    }
}
@media screen and (max-width: 650px) {
    .cat_back_home {
        display: flex;
        height: 4rem;
        font-size: 1.2rem;
        margin: 0;
        line-height: 2rem;
        box-shadow: var(--box-shadow);
        justify-content: center;
        border-radius: 0;
        z-index: 10;
        background: #ffffff00;
        backdrop-filter: blur(8px);
        -webkit-backdrop-filter: saturate(5) blur(20px);
        border-bottom: 1px solid rgba(17,24,39,.1);
        color: #fff;
        text-shadow: 0px 0px 5px rgb(0 0 0 / 50%);
        position: fixed;
        top: 0;
        right: var(--margin);
        left: var(--margin);
    }
}

.cat_description {
    padding: 2rem 1rem;
    background: rgb(231, 231, 231);
    background-color: #333333;
    color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'Noto Serif SC', serif;
    font-weight: 400;
    font-size: 1.2rem;
    border-radius: 0.7rem;
    width: 100%;
    box-sizing: border-box;
    letter-spacing: 1px;
    margin-bottom: var(--margin);
    box-shadow: 5px 5px 10px 0px #00000073;
    text-align: center;
}

.cat_description1 {
    padding: 2rem 1rem;
    background: rgb(231, 231, 231);
    background-color: #49d4a2;
    color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'Noto Serif SC', serif;
    font-weight: 400;
    font-size: 1.2rem;
    border-radius: 0.7rem;
    width: 100%;
    box-sizing: border-box;
    letter-spacing: 1px;
    margin-bottom: var(--margin);
    box-shadow: 5px 5px 10px 0px #00000073;
    text-align: center;
}

.cat_description2 {
    padding: 2rem 1rem;
    background: rgb(231, 231, 231);
    background-color: #ffa87c;
    color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'Noto Serif SC', serif;
    font-weight: 400;
    font-size: 1.2rem;
    border-radius: 0.7rem;
    width: 100%;
    box-sizing: border-box;
    letter-spacing: 1px;
    margin-bottom: var(--margin);
    box-shadow: 5px 5px 10px 0px #00000073;
    text-align: center;
}

.cat_love_time {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.cat_love_time .title{
    background-image: linear-gradient(270deg, #ff4500, #ffa500, #ffd700, #90ee90, #00ffff, #1e90ff, #9370db, #ff69b4, #ff4500);
    -webkit-background-clip: text;
    color: #0000;
    animation: rainbowan 60s linear infinite;
    font-size: 1.5rem;
    line-height: 5rem;
}
/* 彩虹 */
@-webkit-keyframes rainbowan{to{background-position:-500rem;}}
@keyframes rainbowan{to{background-position:-500rem;}}

.cat_love_time .love_time_change {
    font-size: 1.2rem;
}
.cat_love_time .love_time_change b{
    font-size: 2rem;
    font-family: 'Noto Serif SC', serif;
}






.cat_menu{
    position: sticky;
    top: 0;
    width: 100%;    
    z-index: 10;
    display: flex;
    gap: 1rem;
    justify-content: space-between;
}
.cat_menu .left{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}
.cat_menu .left .item .bottom_infos{
    display: none;
}
.cat_menu .right {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: var(--margin);
    font-size: 1.25rem;
}
.cat_menu .right .anniu{
    cursor: pointer;
}
.cat_menu .right .anniu.percentage{
    display: none;
}
.cat_menu .right .percentage .num{
    display: flex;
    justify-content: center;
    font-size: 1rem;
    height: 1.5rem;
    font-weight: bold;
    letter-spacing: 0;
    align-items: baseline;
    color: var(--C);
}

@media (min-width:650px) {
    .cat_menu .right .percentage .num:after{
        content: '%';
        font-size: smaller;
    }
}

.cat_menu .item {
    position: relative;
    display: flex;
    text-align: center;
    font-size: 1rem;
    justify-content: center;
    flex-direction: row;
    cursor: pointer;
    -webkit-transition: 0.5s;
    transition: 0.5s;
}
.cat_menu .item:hover {
    color: var(--theme);
}
.cat_menu .item .title {
    display: inline-flex;
    position: relative;
    align-items: center;
    padding: calc(var(--margin) / 2);
    text-align: left;
    height: 2.5rem;
}
.cat_menu .item:after {
    content: "";
    position: absolute;
    background: var(--theme);
    left: 0;
    right: 0;
    bottom: 0;
    width: 0.25rem;
    height: 0.25rem;
    border-radius: 50%;
    margin: 0 auto;
    opacity: 0;
    -webkit-transition: 0.5s;
    transition: 0.5s;
}
.cat_menu .item:hover:after {
    opacity: 1;
}
.cat_menu .item.arrow:after {
    font-family: serif;
    content: 'ˇ';
    width: auto;
    font-size: 1.5rem;
    bottom: 0.2rem;
    background: unset;
    color: var(--B);
    opacity: 1;
}
.cat_menu .item.arrow:hover:after {
    color: var(--theme);
}
.cat_menu .item .mainmenu_nav_child {
    position: absolute;
    display: flex;
    min-width: 10rem;
    -webkit-transform: translateY(2.5rem);
    -moz-transform: translateY(2.5rem);
    -ms-transform: translateY(2.5rem);
    -o-transform: translateY(2.5rem);
    transform: translateY(2.5rem);
    opacity: 0;
    visibility: hidden;
    -webkit-transition: 0.2s;
    transition: 0.2s;
    flex-direction: column;
    align-items: center;
    flex-wrap: nowrap;
    background: var(--background);
    width: auto;
    border-radius: var(--radius);
    box-shadow: var(--box-shadow);    
    z-index: 1;
    padding: calc(var(--margin) / 2);
}

.cat_menu .item:hover .mainmenu_nav_child {
    opacity: 1;
    visibility: visible;
    -webkit-transform: translateY(3rem);
    -moz-transform: translateY(3rem);
    -ms-transform: translateY(3rem);
    -o-transform: translateY(3rem);
    transform: translateY(3rem);
}
.cat_menu .item .mainmenu_nav_child a {
    padding: calc(var(--margin) / 2);
    text-align: center;
    border-radius: var(--radius);
    font-size: 0.9rem;
    width: 100%;
}
.cat_menu .item .mainmenu_nav_child a:hover {
    background: var(--theme-80);
    color: #fff;
}

.postlist_head {
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    gap: 1rem;
    flex-direction: column;
}
.postlist_head .middle {
    display: flex;
    gap: 1rem;
    width: 100%;
    flex-direction: row;
}
.postlist_head .middle .top {
    font-weight: bold;
    font-size: 1.25rem;
    color: var(--C);
}
.postlist_head .middle .top .title{
    padding: calc(var(--margin) / 2);
    line-height: 3rem;
    font-size: 1.5rem;
    font-weight: bold;
}
.postlist_head .middle .down {
    font-size: smaller;
    color: var(--B);
    display: flex;
    justify-content: space-around;
    flex-direction: column;
}
.postlist_head .middle .down a{
    font-size: large;
}
@media screen and (min-width: 650px) {
    .postlist_head .bottom {
        padding-left: 5rem;
    }
}
.postlist_head .right {
    font-size: 2.5rem;
    opacity: 0.5;
    cursor: -webkit-grabbing;
}
.postlist_head .right img,
.postlist_head .right svg {
    width: 2.5rem;
    height: 2.5rem;
}
.postlist_head .right:hover {
    animation: jump .3s .12s ease;
    -webkit-animation: jump .3s .12s ease;
    -moz-animation: jump .3s .12s ease;
}
.postlist_info {
    display: flex;
    justify-content: space-between;
    border-top: 1px solid var(--A);
    font-size: smaller;
    padding-top: 0.5rem;
    color: var(--C);
}

.postlist_comment{
    margin-top: 1rem;
    display: flex;
    gap: 0.5rem;
    flex-direction: column;
    background: var(--O);
    padding: 1rem;
    border-radius: var(--radius);
}
.postlist_comment .item{
    line-height: 2rem;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
}
.postlist_comment .item a{
    line-height: 2rem;
    font-size: small;
}
.postlist_comment .item .avatar{
    margin-right: 0.25rem;
    width: 1.5rem;
    height: 1.5rem;
    box-shadow: unset;
}



/* 分页 */
.cat_archive_next {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: var(--margin);
}
.cat_archive_next .next{
    color: var(--C);
    padding: 0.5rem 0.75rem;
    font-size: 0.9rem;
    background: var(--background);
    border-radius: 1rem;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    transition: 0.2s;
    -webkit-transition: 0.2s;
    letter-spacing: 2px;
    cursor: pointer;
}
.cat_archive_next .over{
    font-size: small;
    color: var(--A);
    padding: 0.5rem;
    text-align: center;
}






#search_card .name {
    font-size: 1.5rem;
    padding: 1rem 0 1rem;
    justify-content: center;
    margin-bottom: 1rem;
    border-bottom: 1px solid var(--colorB);
    text-align: center;
}
#search_card .search {
    display: flex;
    align-items: center;
    width: 100%;
    gap: 1rem;
    margin-bottom: var(--margin);
}
#search_card .search input {
    flex: 1;
    padding: 0.75rem;
    outline: 1px solid var(--colorA);
    -webkit-transition: 0.5s;
    transition: 0.5s;
}
#search_card .search input:focus {
    outline: 1px solid var(--theme);
}
#search_card .search button{
    vertical-align: middle;
    background: #fff0;
    cursor: pointer;
    -webkit-transition: 0.5s;
    transition: 0.5s;
    color: var(--main);
    border: unset;
}
#search_card .search button svg{
    width: 1.5rem;
}

.cat_categorymenu{
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}
.cat_categorymenu a:last-child {
    margin-right: auto;
}
.cat_categorymenu a {
    display: inline-block;
    font-size: 0.9rem;
    margin-bottom: 0;
}







/* 侧栏 */
aside .recent_comments {
    position: sticky;
    top: 8.5rem;
}
.smalltext {
    font-size: 0.75rem;
    color: var(--B);
}
.cat_recentcomment_list{
    display: flex;
    position: relative;
    flex-direction: row;
    padding-bottom: 1rem;
    gap: 0.75rem;
}
.cat_recentcomment_list:last-child{
    padding-bottom: 0;
}
.recent_comments .cat_recentcomment_list:nth-child(4) {
    padding-bottom: 1rem;
}
.cat_recentcomment_list .left .num{
    color: #000000;
    background: rgba(64, 159, 255, 0.2);
    width: 0.9rem;
    height: 0.9rem;
    font-size: .75rem;
    line-height: .9rem;
    border-radius: 2px;
    text-align: center;
    display: inline-block;
    letter-spacing: 0;
}
.cat_recentcomment_list:nth-of-type(1) .left .num {
    background: rgb(255 156 9 / 69%);
}
.cat_recentcomment_list:nth-of-type(2) .left .num {
    background: rgb(116 199 106 / 72%);
}
.cat_recentcomment_list:nth-of-type(3) .left .num {
    background: rgb(249 4 4 / 68%);
}
.cat_recentcomment_list:nth-of-type(4) .left .num {
    background: rgb(170 124 245 / 68%);
}
.cat_recentcomment_list .right {
    width: 100%;
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}
.cat_recentcomment_list .right .user {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.cat_recentcomment_list .right .user .name{
    font-weight: bold;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    align-items: center;
    overflow: hidden;
    width: 100%;
    flex: 1;
    text-align: left;
    line-height: 1.5rem;
}
.cat_recentcomment_list .right .reply {
    font-size: 0.9rem;
    line-height: 1.5rem;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    word-break: break-all;
}
aside .aside_info_card p{
    color: var(--B);
    font-size: small;
    line-height: 1.5rem;
}


/* 文章页侧栏目录 */
#post_menu {
    max-height: 30rem;
    overflow-x: auto;
}
#post_menu::-webkit-scrollbar {
    width: 3px;
}
#post_menu::-webkit-scrollbar-thumb {
    background: var(--theme-60);
}
#post_menu span {
    display: flex;
    color: var(--main);
    padding: 0.5rem;
    margin-right: 0.5rem;
    align-items: center;
    border-radius: var(--radius);
    cursor: pointer;
    font-size: 0.9rem;
    font-weight: bold;
    line-height: 2rem;
    -webkit-transition: 0.2s;
    transition: 0.2s;
}
#post_menu span:hover {
    background: var(--theme-60);
    color: #fff;
}
#post_menu span:hover i{
    color: #fff;
}
#post_menu i{
    color: var(--theme-30);
    -webkit-transition: 0.2s;
    transition: 0.2s;
}
article span[id^='menu'] {
    position: absolute;
}






/* pages */
.links_part_grid {
    display: grid;
    gap: var(--margin);
    grid-template-columns: repeat(auto-fill,minmax(12.5rem,1fr));
}
.links_part_grid_item {
    display: flex;
    position: relative;
    flex-direction: column;
    align-items: center;
    margin-bottom: 0;
    gap: 1rem;
}
.links_part_grid_item .links_description {
    font-size: 0.9rem;
    color: var(--B);
}
.links_part_grid_item .links_author {
    font-size: larger;
    font-weight: bold;
}








.little_card_title{
    text-align: left;
    font-size: 0.75rem;
    color: var(--B);
    gap: 0.25rem;
    padding-bottom: 1rem;
}

.cat_guidang {
    display: flex;
    flex-direction: column;
    gap: var(--margin);
    margin-top: var(--margin);
}
.cat_guidang .item{
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    color: var(--B);
    align-items: baseline;
    gap:1rem;
    padding: 0.5rem 0;
}
.cat_guidang .item span{
    font-size:small;
    width:3rem;
    flex-shrink: 0;
    text-align: right;
}
.cat_guidang .item a{
    line-height: 2rem;
}



/* 跳动两下动画 */
@keyframes jump{0%,to{transform:translateY(0)}30%{transform:translateY(-2px)}60%{transform:translateY(2px)}80%{transform:translateY(-1px)}90%{transform:translateY(1px)}}
@-webkit-keyframes jump{0%,to{transform:translateY(0)}30%{transform:translateY(-2px)}60%{transform:translateY(2px)}80%{transform:translateY(-1px)}90%{transform:translateY(1px)}}
@-moz-keyframes jump{0%,to{transform:translateY(0)}30%{transform:translateY(-2px)}60%{transform:translateY(2px)}80%{transform:translateY(-1px)}90%{transform:translateY(1px)}}


html.darkmode {
    --main-color: 232 243 255;
    --under-background: #171c28e6;
    --background: #222734;
    filter: brightness(0.8);
    -webkit-filter: brightness(0.8);
}



/* 高度 */
@media (max-height:800px) {
    #post_menu {
        max-height: 20rem;
    }
    .recent_comments .cat_recentcomment_list:nth-child(4) {
        display: none;
    }
}


@media (max-width:1300px) {
    .main_screen {
        margin: var(--margin);
        width: calc(100vw - 2 * var(--margin) auto);
    }
    .main_sidebar {
        display: none;
    }
    .cat_menu {
        flex-direction: column;
        align-items: center;
    }
}





@media (max-width:650px) {
    html {
        font-size: 14px;
    	--radius: 0.5rem;
    	--margin: 1rem;
    }
    .main_screen {
        margin: 0 var(--margin) calc(6 * var(--margin));
    }
    #comments .cat_comment_respond_form .head {
        flex-direction: column;
    }
    .postlist_abstract{
        -webkit-line-clamp: 4;
    }
    .cat_menu {
        padding: 0;
    }
    .cat_menu .left {
        display: flex;
        position: fixed;
        left: 0;
        right: auto;
        top: 0;
        bottom: 0;
        z-index: 50;
        width: 20rem;
        max-width: 80vw;
        height: 100%;
        padding: var(--margin);
        transform: unset;
        overflow-y: auto;
        justify-content: flex-start;
        flex-direction: column;
        flex-wrap: nowrap;
        align-items: flex-start;
        background: var(--background);
        left: -20rem;
        -webkit-transition: 0.5s;
        transition: 0.5s;
    }
    .cat_menu .left .item {
        justify-content: flex-start;
        flex-direction: column;
        align-items: flex-start;
        border-top: 1px dashed var(--A);
        width: 100%;
        padding: 1rem 0;
    }
    .cat_menu .left .item .bottom_infos{
        display: block;
        font-size: 0.9rem;
        color: var(--B);
        padding: 0.5rem;
    }
    .cat_menu .left .item .bottom_infos a{
        color: var(--B);
        padding: 0;
    }
    .cat_menu .item:hover:after {
        opacity: 0;
    }
    .cat_menu .left .item:first-child {
        border-top: unset;
    }
    .cat_menu .left .item.arrow:after{
        content: '';
    }
    .cat_menu .item .mainmenu_nav_child:before{
        content: '';
        position: absolute;
        top: 0;
        left: -0.5rem;
        width: 0.2rem;
        height: 100%;
        background: var(--theme-30);
    }
    .cat_menu .item .mainmenu_nav_child {
        flex-direction: row;
        flex-wrap: wrap;
        position: relative;
        opacity: 1;
        padding: 0;
        margin-left: 1.5rem;
        visibility: visible;
        box-shadow: unset;
        transform: unset!important;
    }
    .cat_menu .item .mainmenu_nav_child a {
        width: auto;
        box-shadow: var(--box-shadow);
        margin: 0.5rem
    }
    .cat_menu .right{
        padding: 0.75rem;
        background: var(--background);
        box-shadow: var(--box-shadow);
        border-radius: 2.5rem;
        position: fixed;
        bottom: 0;
        left: 50%;
        transform: translateX(-50%);
        margin-bottom: var(--margin);
    }
    .cat_menu .right .anniu{
        width: 2.5rem;
        height: 2.5rem;
        line-height: 1.6rem;
        display: flex;
        border-radius: 50%;
        box-shadow: var(--box-shadow);
        justify-content: center;
        align-items: center;
    }
    .cat_menu .right .anniu:active{
        box-shadow: inset var(--box-shadow);
    }
    .cat_menu .right .anniu svg{
        width: 1.2rem;
    }
    .mobile_menu{
        display: block;
    }
    
    .menu_off{
        width: 100vw;
        height: 100vh;
        background: var(--A);
        display: block;
        position: fixed;
        inset: 0;
        left: -100vw;
        backdrop-filter: blur(0.5rem);
        -webkit-transition: 0.5s;
        transition: 0.5s;
    }
}
















@media screen and (min-width: 650px) {
    *[cat_title] {
        overflow: hidden;
        position: relative;
    }
    *[cat_title]:before, *[cat_title]:after {
        position: absolute;
        z-index: 10;
        opacity: 0;
        transform: translate3d(-50%, 0, 0);
        transition: 300ms ease;
    }
    *[cat_title]:before {
        content: attr(cat_title);
        top: calc(-1.5em - 6px - 5px);
        left: 50%;
        padding: 3px 6px;
        line-height: 1.5;
        border-radius: 4px;
        background-color: rgba(0, 0, 0, 0.8);
        color: #fff;
        font-size: 1rem;
        white-space: nowrap;
        box-sizing: content-box;
    }
    *[cat_title]:after {
        content: "\20";
        top: -5px;
        left: 50%;
        border: 5px solid transparent;
        border-top-color: rgba(0, 0, 0, 0.8);
    }
    *[cat_title]:hover {
        overflow: visible;
    }
    *[cat_title]:hover:before, *[cat_title]:hover:after {
        opacity: 1;
        transform: translate3d(-50%, -3px, 0);
    }
}
.postlist {
    padding: 2rem;
}
article,
.postlist {
    -webkit-animation: fadeInUp 0.5s .2s ease both;
    -moz-animation: fadeInUp 0.5s .2s ease both;
    animation: fadeInUp 0.5s .2s ease both;
}

.postlist article .post_content {
    position: relative;
    overflow: hidden;
    /*max-height: 480px;*/
}
.ReadAllArtilce {
    position: relative;
    bottom: 0;
    height: 2rem;
    text-align: center;
    margin-top: -480px;
}
.ReadAllArtilce div{
    display: block;
    margin-top: 480px;
    font-size: 1rem;
    background: var(--background);
    padding: 0.5rem;
    box-shadow: var(--box-shadow);
    border-radius: var(--radius);
    cursor: pointer;
}
.ReadAllArtilce .hide{
    display: none;
}


@media screen and (max-width: 650px) {
    .postlist article .post_content {
        /*max-height: 320px;*/
    }
    .ReadAllArtilce {
        margin-top: -320px;
    }
    .ReadAllArtilce div{
        margin-top: 320px;
    }
}
/* 下上淡入（card） */
@keyframes fadeInUp{0%{opacity:0;transform:translateY(20px)}100%{opacity:1;transform:translateY(0)}}
@-webkit-keyframes fadeInUp{0%{opacity:0;transform:translateY(20px)}100%{opacity:1;transform:translateY(0)}}
@-moz-keyframes fadeInUp{0%{opacity:0;transform:translateY(20px)}100%{opacity:1;transform:translateY(0)}}
/* 心跳 */
@keyframes heartbeat {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.2);
  }
  100% {
    transform: scale(1);
  }
}
